Python API for The Fucking Weather, version 1.0
Copyright (C) 2009  Ian Weller <ian@ianweller.org>
http://ianweller.org/thefuckingweather

This program is free software. It comes without any warranty, to
the extent permitted by applicable law. You can redistribute it
and/or modify it under the terms of the Do What The Fuck You Want
To Public License, Version 2, as published by Sam Hocevar. See
http://sam.zoy.org/wtfpl/COPYING for more details.

----

I wrote this mainly for fun. The implementation is ridiculously thorough
out of irony, up to the point of writing specific error classes -- but
be glad I wasn't insane enough to create a new class for the data. (Even
though I easily could have.)

The code is self-documenting so you shouldn't have any problem using it.
The basic way to use it, if you're including it in a program, is:

>>> import thefuckingweather
>>> thefuckingweather.get_weather("Wichita, KS")

and you'll get lots of return data. The data format is documented under
get_weather(). You can also run it from a shell: this output is pretty
to the average user but can also be parsed by the likes of sed.

The Git repository is located on GitHub:
  https://github.com/ianweller/python-thefuckingweather

This program comes without any warranty (as stated in the copyright
disclaimer), so please don't treat it as an actual weather reporting
system or as trustworthy.

Enjoy!
